#include "active_object.h"
#include "scene_graph.h"


ActiveObject::ActiveObject(SceneGraph* sg)
: scene_graph_(sg)
{
}

ActiveObject::~ActiveObject(void)
{
}


void ActiveObject::set_scene_graph(SceneGraph* sg) { 
	scene_graph_ = sg; 
}


void ActiveObject::update_canvas() { 
	scene_graph_->forceUpdate(); 
}